move_addr_to_kernel
Prev | Socket Buffer Functions | Next

## Name

move_addr_to_kernel — copy a socket address into kernel space

## Synopsis

`int move_addr_to_kernel (` | void __user * | uaddr,
| int | ulen,
| void * | kaddr`)`;

## Arguments

`uaddr`

  Address in user space

`ulen`

  Length in user space

`kaddr`

  Address in kernel space

## Description

The address is copied into kernel space. If the provided address is too long an error code of -EINVAL is returned. If the copy gives invalid addresses -EFAULT is returned. On a success 0 is returned.

Prev | Up | Next
sk_eat_skb | Home | move_addr_to_user